%define oname pyinotify

Summary:	Python module for monitoring filesystems changes
Name:		python-%{oname}
Version:	0.9.6
Release:	%mkrel 2
License:	MIT
Group:		Development/Python
Url:		http://github.com/seb-m/pyinotify
Source0:	https://pypi.python.org/packages/source/p/%{oname}/%{oname}-%{version}.tar.gz
Source1:	%{oname}
BuildRequires:	pkgconfig(python)
BuildArch:	noarch
Provides:	%{oname} = %{version}-%{release}

%description
Pyinotify is a pure Python module for monitoring filesystems changes.
Pyinotify relies on inotify, a Linux Kernel functionality (since 
kernel 2.6.13). inotify is an event-driven notification mechanism, its 
notifications are exported to user space through three system calls. 
Pyinotify binds these system calls and provides an implementation on 
top of them.

%package -n python3-%{oname}
Summary:	Python 3 module for monitoring filesystems changes
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
%{?python_provide:%python_provide python3-%{oname}}

%description -n python3-%{oname}
Pyinotify is a pure Python 3 module for monitoring filesystems changes.
Pyinotify relies on inotify, a Linux Kernel functionality (since 
kernel 2.6.13). inotify is an event-driven notification mechanism, its 
notifications are exported to user space through three system calls. 
Pyinotify binds these system calls and provides an implementation on 
top of them.

%prep
%setup -q -n %{oname}-%{version}

%apply_patches
cp -a . %{py3dir} 

%build
%py2_build

pushd %{py3dir} 
%py3_build
popd

%install
# Install python 3 first, so that python 2 gets precedence:
pushd %{py3dir}
%py3_install
%{__install} -D -m 0755 -p %{SOURCE1} %{buildroot}%{_bindir}/python3-%{oname}
%{__sed} -i -e 's/^python /python3 /' %{buildroot}%{_bindir}/python3-%{oname}
%{__chmod} 0755 %{buildroot}%{python3_sitelib}/%{oname}.py
popd

%{__python} setup.py install -O1 --skip-build --root %{buildroot}
%{__install} -D -m 0755 -p %{SOURCE1} %{buildroot}%{_bindir}/%{oname}
%{__chmod} 0755 %{buildroot}%{python_sitelib}/%{oname}.py

%files
%doc README*
%{_bindir}/%{oname}
%{python2_sitelib}/%{oname}*

%files -n python3-%{oname}
%doc README*
%{_bindir}/python3-%{oname}
%{python3_sitelib}/*

%changelog
* Tue Aug 16 2022 TerryN <terryn94 at gmail.com> 0.9.6-2pclos2022
- rebuild for python 3.10

* Sun Jan 06 2019 tex 0.9.6-1pclos2019
- Update to version 0.9.6

